AC_INIT(configure.in)

AM_CONFIG_HEADER(config.h)
AM_INIT_AUTOMAKE(filedata, 1.0.0)

dnl Checks for header files.
AM_CONFIG_HEADER(ext/libpolder/ress/config.h)
AC_HEADER_STDC
AC_CHECK_HEADERS(unistd.h)
AC_CHECK_HEADERS(byteswap.h)

dnl Checks for typedefs, structures, and compiler characteristics.
AC_C_CONST
AC_TYPE_SIZE_T
AC_C_BIGENDIAN
AC_CHECK_SIZEOF(short)
AC_CHECK_SIZEOF(int)
AC_CHECK_SIZEOF(long)
AC_CHECK_SIZEOF(float)
AC_CHECK_SIZEOF(double)

AC_PROG_F77(lf95 fl32 f77 fort77 xlf cf77 g77 f90 xlf90 gfortran)
AC_F77_WRAPPERS
dnl Checks for programs.
AC_PROG_AWK
AC_PROG_INSTALL
AC_PROG_LN_S

AC_LANG_CPLUSPLUS
AC_PROG_CXX
AC_PROG_CC
AC_PROG_RANLIB

AC_OUTPUT(Makefile ext/Makefile ext/libpolder/Makefile ext/libpolder/ress/Makefile \
	ext/libpolder/src/EndianSwap/Makefile ext/libpolder/src/Makefile src/Makefile src/epr/Makefile \
	src/geometry/Makefile test/Makefile)
